Bug 257108 - mail/postfix-postfwd: Allow setting interface/port in rc.conf
Summary: mail/postfix-postfwd: Allow setting interface/port in rc.conf
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yasuhiro Kimura
URL:
Keywords: easy, needs-qa
Depends on:
Blocks:
 
Reported: 2021-07-11 12:46 UTC by Andreas Jobs
Modified: 2021-10-28 10:01 UTC (History)
3 users (show)

See Also:
andreas.jobs+freebsdbugs: maintainer-feedback+
koobs: merge-quarterly?


Attachments
port update to 2.03_1 (1.29 KB, patch)
2021-07-11 12:46 UTC, Andreas Jobs
andreas.jobs+freebsdbugs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Jobs 2021-07-11 12:46:46 UTC
Created attachment 226367 [details]
port update to 2.03_1

The configuration where the daemon listens can now be configured in rc.conf (fixes #257037)
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-12 02:38:16 UTC
@Maintainer Does this change modify existing behaviour if the updated rc script is installed, but the new parameters are not specified by the user? If not, we can and should merge this change to the quarterly branch?

^Triage: Maintainer-feedback flag (+) not required unless requested (?) first
Comment 2 Andreas Jobs 2021-07-12 08:10:38 UTC
(In reply to Kubilay Kocak from comment #1)

The new script uses the former static values as default values. It is fully backward compatible with the old one.
Comment 3 epopen 2021-10-06 01:22:38 UTC
Hi @Maintainer

Have any action if I can do?

Thanks a lot.
Comment 4 Yasuhiro Kimura freebsd_committer 2021-10-28 09:56:43 UTC
Take.
Comment 5 commit-hook freebsd_committer 2021-10-28 09:59:29 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e1d1c6db7411fce9c2c6697057cc4be617a95abe

commit e1d1c6db7411fce9c2c6697057cc4be617a95abe
Author:     Andreas Jobs <andreas.jobs+freebsdbugs@ruhr-uni-bochum.de>
AuthorDate: 2021-10-28 09:53:52 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-10-28 09:58:11 +0000

    mail/postfix-postfwd: Allow setting interface/port in rc.conf

    * Switch to DISTVERSION
    * Pet portlint and portclippy
    * Reformat Makefile with portfmt

    PR:             257108

 mail/postfix-postfwd/Makefile         | 17 +++++++++--------
 mail/postfix-postfwd/files/postfwd.in |  4 +++-
 2 files changed, 12 insertions(+), 9 deletions(-)
Comment 6 Yasuhiro Kimura freebsd_committer 2021-10-28 10:01:09 UTC
Committed with some refinements. Thanks!